Package twisted :: Package words :: Module webwords :: Class AccountCreationWidget

[frames | no frames]

## Class AccountCreationWidget

    Widget --+
             |
          Form --+
                 |
     Versioned --+
                 |
                AccountCreationWidget

Method Summary
| `__init__(self, service)`
| `process(self, write, request, submit, **args)`
| `upgradeToVersion1(self)`
Inherited from Form
| ``_displayFormat`(self, request, form)`
| ``_displayProcess`(self, request, form)`
| ``_doProcess`(self, form, write, request)` (internal) Prepare arguments for self.process.
| ``display`(self, request)` Display the form.
| ``format`(self, form, write, request)` I display an HTML FORM according to the result of self.getFormFields.
| ``formatError`(self, error)` Format an error message.
| ``getFormFields`(self, request, fieldSet)` I return a list of lists describing this form, or a Deferred.
| ``getFormID`(self)` Override me: I disambiguate between multiple forms of the same type.
| ``shouldProcess`(self, request)`
| ``tryAgain`(self, err, req)` Utility method for re-drawing the form with an error message.
Inherited from Widget
| ``getTitle`(self, request)`
Inherited from Versioned
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out.
| ``__setstate__`(self, state)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade.

Class Variable Summary
`list` | `formFields` = `[['string', 'Username', 'username', ''], ['...`
`int` | `persistenceVersion` = 1
`str` | `title` = `'Account Creation'`
Inherited from Form
`str` | `actionURI` = `''`
`int` | `formAcceptExtraArgs` = 0
`dict` | `formGen` = `{'checkbox': <function htmlFor_checkbox at 0x8...`
`dict` | `formParse` = `{'int': <type 'int'>, 'float': <type 'float'...`
`list` | `submitNames` = `['Submit']`
Inherited from Versioned
`tuple` | `persistenceForgets` = `()`

Class Variable Details

### formFields

  Type:
    `list`
  Value:

        [['string', 'Username', 'username', ''],
         ['password', 'Password', 'password', '']]

### persistenceVersion

  Type:
    `int`
  Value:

        1

### title

  Type:
    `str`
  Value:

        'Account Creation'

Generated by Epydoc 2.0 on Sat May 15 20:08:22 2004 | http://epydoc.sf.net